Liebe Gitlab-Nutzerin, lieber Gitlab-Nutzer,
es ist nun möglich sich mittels des ZIH-Logins/LDAP an unserem Dienst anzumelden. Die Konten der externen Nutzer:innen sind über den Reiter "Standard" erreichbar.
Die Administratoren


Dear Gitlab user,
it is now possible to log in to our service using the ZIH login/LDAP. The accounts of external users can be accessed via the "Standard" tab.
The administrators

Makefile.in 185 KB
Newer Older
1
# Makefile.in generated by automake 1.9.6 from Makefile.am.
2 3 4
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5
# 2003, 2004, 2005  Free Software Foundation, Inc.
6 7 8 9 10 11 12 13 14 15 16
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

17 18
srcdir = @srcdir@
top_srcdir = @top_srcdir@
19 20 21 22
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
23
top_builddir = ..
24
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25
INSTALL = @INSTALL@
26 27 28 29 30 31 32 33 34 35 36 37 38
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
39
@USE_PARALLEL_AMDIS_TRUE@am__append_1 = -DHAVE_PARALLEL_AMDIS=1
40
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@am__append_2 = \
41
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@  $(SOURCE_DIR)/parallel/StdMpi.h $(SOURCE_DIR)/parallel/StdMpi.cc \
42 43
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@  $(SOURCE_DIR)/parallel/MeshDistributor.h $(SOURCE_DIR)/parallel/MeshDistributor.cc \
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@  $(SOURCE_DIR)/parallel/ParallelDebug.h $(SOURCE_DIR)/parallel/ParallelDebug.cc \
44
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@  $(SOURCE_DIR)/parallel/GlobalMatrixSolver.h $(SOURCE_DIR)/parallel/GlobalMatrixSolver.cc \
45
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@  $(SOURCE_DIR)/parallel/MpiHelper.h $(SOURCE_DIR)/parallel/MpiHelper.cc 
46 47

@USE_PARALLEL_DOMAIN_AMDIS_TRUE@am__append_3 = -DHAVE_PARALLEL_DOMAIN_AMDIS=1
48
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@am__append_4 = -I$(PETSC_DIR)/include -I$(PETSC_DIR)/$(PETSC_ARCH)/include
49 50
@ENABLE_UMFPACK_TRUE@am__append_5 = -DHAVE_UMFPACK=1 -DMTL_HAS_UMFPACK
@ENABLE_UMFPACK_TRUE@am__append_6 = -I$(LIB_DIR)/UFconfig \
51 52 53
@ENABLE_UMFPACK_TRUE@	            -I$(LIB_DIR)/AMD/Include \
@ENABLE_UMFPACK_TRUE@                    -I$(LIB_DIR)/UMFPACK/Include  

54 55 56 57 58 59
@ENABLE_MKL_TRUE@am__append_7 = -DHAVE_MKL=1 -I${MKL_INC}
@ENABLE_DUNE_TRUE@am__append_8 = -DHAVE_DUNE=1
@ENABLE_DUNE_TRUE@am__append_9 = -I$(DUNE_DIR)
@ENABLE_BOOST_TRUE@am__append_10 = -DHAVE_BOOST=1
@AMDIS_DEBUG_TRUE@am__append_11 = -g -O0 -Wall -DDEBUG=1 $(OPENMP_FLAG) $(INCLUDES) #-pedantic
@AMDIS_DEBUG_FALSE@am__append_12 = -O2 -Wall -DDEBUG=0 -DNDEBUG $(OPENMP_FLAG) -ftemplate-depth-100 $(INCLUDES) #-pedantic
60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77
subdir = bin
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libamdis_la_LIBADD =
78 79
am__libamdis_la_SOURCES_DIST = $(SOURCE_DIR)/parallel/StdMpi.h \
	$(SOURCE_DIR)/parallel/StdMpi.cc \
80 81 82 83
	$(SOURCE_DIR)/parallel/MeshDistributor.h \
	$(SOURCE_DIR)/parallel/MeshDistributor.cc \
	$(SOURCE_DIR)/parallel/ParallelDebug.h \
	$(SOURCE_DIR)/parallel/ParallelDebug.cc \
84 85
	$(SOURCE_DIR)/parallel/GlobalMatrixSolver.h \
	$(SOURCE_DIR)/parallel/GlobalMatrixSolver.cc \
86 87
	$(SOURCE_DIR)/parallel/MpiHelper.h \
	$(SOURCE_DIR)/parallel/MpiHelper.cc \
88
	$(PARALLEL_DIR)/ConditionalEstimator.h \
89
	$(PARALLEL_DIR)/ConditionalEstimator.cc \
90 91
	$(PARALLEL_DIR)/ConditionalMarker.h \ \
	$(PARALLEL_DIR)/ConditionalMarker.cc \
92 93 94 95 96 97
	$(PARALLEL_DIR)/ParallelError.h \
	$(PARALLEL_DIR)/ParallelError.hh \
	$(PARALLEL_DIR)/ParallelProblem.h \
	$(PARALLEL_DIR)/ParallelProblem.cc \
	$(PARALLEL_DIR)/ParMetisPartitioner.h \
	$(PARALLEL_DIR)/ParMetisPartitioner.cc \
98 99 100 101 102 103 104 105
	$(PARALLEL_DIR)/PartitionElementData.h \
	$(PARALLEL_DIR)/PollutionError.h \
	$(PARALLEL_DIR)/PollutionError.cc $(SOURCE_DIR)/DOFIndexed.h \
	$(SOURCE_DIR)/DOFIndexed.cc $(SOURCE_DIR)/GNUPlotWriter.h \
	$(SOURCE_DIR)/GNUPlotWriter.cc $(SOURCE_DIR)/VertexVector.h \
	$(SOURCE_DIR)/VertexVector.cc $(SOURCE_DIR)/PeriodicBC.h \
	$(SOURCE_DIR)/PeriodicBC.cc $(SOURCE_DIR)/Recovery.h \
	$(SOURCE_DIR)/Recovery.cc $(SOURCE_DIR)/RecoveryEstimator.h \
106 107 108
	$(SOURCE_DIR)/RecoveryEstimator.cc \
	$(SOURCE_DIR)/ResidualEstimator.h \
	$(SOURCE_DIR)/ResidualEstimator.cc $(SOURCE_DIR)/Cholesky.h \
109 110 111 112 113 114 115
	$(SOURCE_DIR)/Cholesky.cc $(SOURCE_DIR)/AdaptBase.h \
	$(SOURCE_DIR)/AdaptBase.cc \
	$(SOURCE_DIR)/ProblemIterationInterface.h \
	$(SOURCE_DIR)/StandardProblemIteration.h \
	$(SOURCE_DIR)/StandardProblemIteration.cc \
	$(SOURCE_DIR)/ProblemScal.h $(SOURCE_DIR)/ProblemScal.cc \
	$(SOURCE_DIR)/ProblemVec.h $(SOURCE_DIR)/ProblemVec.cc \
116
	$(SOURCE_DIR)/ProblemVecDbg.h $(SOURCE_DIR)/ProblemVecDbg.cc \
117 118 119 120
	$(SOURCE_DIR)/DualTraverse.h $(SOURCE_DIR)/DualTraverse.cc \
	$(SOURCE_DIR)/ElementPartition_ED.h \
	$(SOURCE_DIR)/SurfacePartition_ED.h \
	$(SOURCE_DIR)/ElementData.h $(SOURCE_DIR)/ElementData.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
121 122
	$(SOURCE_DIR)/ComponentTraverseInfo.h \
	$(SOURCE_DIR)/ComponentTraverseInfo.cc \
123 124
	$(SOURCE_DIR)/CreatorMap.h $(SOURCE_DIR)/CreatorMap.hh \
	$(SOURCE_DIR)/CreatorMap.cc $(SOURCE_DIR)/CreatorInterface.h \
125 126 127 128 129 130 131 132 133
	$(SOURCE_DIR)/ElementFunction.h \
	$(SOURCE_DIR)/ProblemInterpolScal.h \
	$(SOURCE_DIR)/ProblemInterpolScal.cc \
	$(SOURCE_DIR)/ProblemInterpolVec.h \
	$(SOURCE_DIR)/ProblemInterpolVec.cc \
	$(SOURCE_DIR)/Serializable.h $(SOURCE_DIR)/BallProject.h \
	$(SOURCE_DIR)/CylinderProject.h $(SOURCE_DIR)/MacroReader.h \
	$(SOURCE_DIR)/MacroReader.cc $(SOURCE_DIR)/ValueReader.h \
	$(SOURCE_DIR)/ValueReader.cc $(SOURCE_DIR)/Projection.h \
134 135 136 137 138 139 140 141 142 143 144
	$(SOURCE_DIR)/Projection.cc $(SOURCE_DIR)/SubAssembler.h \
	$(SOURCE_DIR)/SubAssembler.cc \
	$(SOURCE_DIR)/ZeroOrderAssembler.h \
	$(SOURCE_DIR)/ZeroOrderAssembler.cc \
	$(SOURCE_DIR)/FirstOrderAssembler.h \
	$(SOURCE_DIR)/FirstOrderAssembler.cc \
	$(SOURCE_DIR)/SecondOrderAssembler.h \
	$(SOURCE_DIR)/SecondOrderAssembler.cc \
	$(SOURCE_DIR)/Assembler.h $(SOURCE_DIR)/Assembler.cc \
	$(SOURCE_DIR)/AdaptInfo.h $(SOURCE_DIR)/AdaptInfo.cc \
	$(SOURCE_DIR)/Marker.h $(SOURCE_DIR)/Marker.cc \
145
	$(SOURCE_DIR)/SystemVector.h $(SOURCE_DIR)/SurfaceQuadrature.h \
146 147 148 149 150 151
	$(SOURCE_DIR)/SurfaceQuadrature.cc $(SOURCE_DIR)/LeafData.h \
	$(SOURCE_DIR)/LeafData.cc $(SOURCE_DIR)/BoundaryManager.h \
	$(SOURCE_DIR)/BoundaryManager.cc \
	$(SOURCE_DIR)/BoundaryCondition.h $(SOURCE_DIR)/DirichletBC.h \
	$(SOURCE_DIR)/DirichletBC.cc $(SOURCE_DIR)/RobinBC.h \
	$(SOURCE_DIR)/RobinBC.cc $(SOURCE_DIR)/AbstractFunction.h \
Thomas Witkowski's avatar
Thomas Witkowski committed
152
	$(SOURCE_DIR)/ProblemStatBase.h $(SOURCE_DIR)/DOFContainer.h \
153
	$(SOURCE_DIR)/FileWriter.h $(SOURCE_DIR)/FileWriter.hh \
154 155
	$(SOURCE_DIR)/FileWriter.cc $(SOURCE_DIR)/ElementFileWriter.h \
	$(SOURCE_DIR)/ElementFileWriter.cc $(SOURCE_DIR)/ElInfo.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
156
	$(SOURCE_DIR)/ElInfoStack.h $(SOURCE_DIR)/ElInfoStack.cc \
157 158 159 160 161 162 163
	$(SOURCE_DIR)/OperatorTerm.h $(SOURCE_DIR)/OperatorTerm.cc \
	$(SOURCE_DIR)/ZeroOrderTerm.h $(SOURCE_DIR)/ZeroOrderTerm.cc \
	$(SOURCE_DIR)/FirstOrderTerm.h $(SOURCE_DIR)/FirstOrderTerm.cc \
	$(SOURCE_DIR)/SecondOrderTerm.h \
	$(SOURCE_DIR)/SecondOrderTerm.cc $(SOURCE_DIR)/Operator.h \
	$(SOURCE_DIR)/Operator.cc $(SOURCE_DIR)/Mesh.cc \
	$(SOURCE_DIR)/MeshStructure.h $(SOURCE_DIR)/MeshStructure.cc \
164
	$(SOURCE_DIR)/MeshStructure_ED.h $(SOURCE_DIR)/AMDiS.h \
Thomas Witkowski's avatar
Thomas Witkowski committed
165
	$(SOURCE_DIR)/AdaptStationary.h \
166 167 168
	$(SOURCE_DIR)/AdaptStationary.cc \
	$(SOURCE_DIR)/AdaptInstationary.h \
	$(SOURCE_DIR)/AdaptInstationary.cc $(SOURCE_DIR)/QPsiPhi.h \
169 170
	$(SOURCE_DIR)/BasisFunction.h $(SOURCE_DIR)/Boundary.h \
	$(SOURCE_DIR)/ITL_Solver.h $(SOURCE_DIR)/CoarseningManager.h \
171 172
	$(SOURCE_DIR)/CoarseningManager1d.h \
	$(SOURCE_DIR)/CoarseningManager2d.h \
173 174 175 176 177 178 179 180 181 182 183
	$(SOURCE_DIR)/CoarseningManager3d.h $(SOURCE_DIR)/DOFAdmin.h \
	$(SOURCE_DIR)/DOFIterator.h $(SOURCE_DIR)/DOFMatrix.h \
	$(SOURCE_DIR)/DOFVector.h $(SOURCE_DIR)/DOFVector.hh \
	$(SOURCE_DIR)/DOFVector.cc $(SOURCE_DIR)/Element.h \
	$(SOURCE_DIR)/ElementConnection.h $(SOURCE_DIR)/ElInfo.h \
	$(SOURCE_DIR)/ElInfo1d.h $(SOURCE_DIR)/ElInfo2d.h \
	$(SOURCE_DIR)/ElInfo3d.h $(SOURCE_DIR)/Error.h \
	$(SOURCE_DIR)/Error.hh $(SOURCE_DIR)/Estimator.h \
	$(SOURCE_DIR)/Estimator.cc $(SOURCE_DIR)/FiniteElemSpace.h \
	$(SOURCE_DIR)/FixVec.h $(SOURCE_DIR)/FixVec.hh \
	$(SOURCE_DIR)/FixVecConvert.h $(SOURCE_DIR)/Flag.h \
184
	$(SOURCE_DIR)/Global.h $(SOURCE_DIR)/UmfPackSolver.h \
185 186 187
	$(SOURCE_DIR)/UmfPackSolver.hh $(SOURCE_DIR)/Lagrange.h \
	$(SOURCE_DIR)/Line.h $(SOURCE_DIR)/MacroElement.h \
	$(SOURCE_DIR)/MacroWriter.h $(SOURCE_DIR)/Markings.h \
Thomas Witkowski's avatar
Thomas Witkowski committed
188 189 190
	$(SOURCE_DIR)/Markings.hh $(SOURCE_DIR)/Mesh.h \
	$(SOURCE_DIR)/Parameters.h $(SOURCE_DIR)/Parametric.h \
	$(SOURCE_DIR)/Quadrature.h $(SOURCE_DIR)/RCNeighbourList.h \
191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210
	$(SOURCE_DIRe)/RefinementManager.h \
	$(SOURCE_DIR)/RefinementManager1d.h \
	$(SOURCE_DIR)/RefinementManager2d.h \
	$(SOURCE_DIR)/RefinementManager3d.h \
	$(SOURCE_DIR)/TecPlotWriter.h $(SOURCE_DIR)/TecPlotWriter.hh \
	$(SOURCE_DIR)/Tetrahedron.h $(SOURCE_DIR)/Traverse.h \
	$(SOURCE_DIR)/Triangle.h $(SOURCE_DIR)/NonLinSolver.h \
	$(SOURCE_DIR)/NonLinSolver.hh $(SOURCE_DIR)/ProblemInstat.h \
	$(SOURCE_DIR)/ProblemInstat.cc \
	$(SOURCE_DIR)/ProblemTimeInterface.h \
	$(SOURCE_DIR)/ProblemNonLin.h $(SOURCE_DIR)/ProblemNonLin.cc \
	$(SOURCE_DIR)/NonLinUpdater.h $(SOURCE_DIR)/NonLinUpdater.cc \
	$(SOURCE_DIR)/Newton.h $(SOURCE_DIR)/Newton.hh \
	$(SOURCE_DIR)/NewtonFS.h $(SOURCE_DIR)/NewtonFS.hh \
	$(SOURCE_DIR)/GridWriter.h $(SOURCE_DIR)/GridWriter.hh \
	$(SOURCE_DIR)/ValueWriter.h $(SOURCE_DIR)/QPsiPhi.cc \
	$(SOURCE_DIR)/BasisFunction.cc $(SOURCE_DIR)/Boundary.cc \
	$(SOURCE_DIR)/CoarseningManager.cc \
	$(SOURCE_DIR)/CoarseningManager1d.cc \
	$(SOURCE_DIR)/CoarseningManager2d.cc \
211 212 213 214 215 216 217 218 219
	$(SOURCE_DIR)/CoarseningManager3d.cc $(SOURCE_DIR)/DOFAdmin.cc \
	$(SOURCE_DIR)/DOFMatrix.cc $(SOURCE_DIR)/Element.cc \
	$(SOURCE_DIR)/ElInfo1d.cc $(SOURCE_DIR)/ElInfo2d.cc \
	$(SOURCE_DIR)/ElInfo3d.cc $(SOURCE_DIR)/FiniteElemSpace.cc \
	$(SOURCE_DIR)/FixVec.cc $(SOURCE_DIR)/Global.cc \
	$(SOURCE_DIR)/Lagrange.cc $(SOURCE_DIR)/Line.cc \
	$(SOURCE_DIR)/MacroElement.cc $(SOURCE_DIR)/MacroWriter.cc \
	$(SOURCE_DIR)/Parameters.cc $(SOURCE_DIR)/Parametric.cc \
	$(SOURCE_DIR)/Quadrature.cc $(SOURCE_DIR)/RCNeighbourList.cc \
220 221 222 223 224
	$(SOURCE_DIR)/RefinementManager.cc \
	$(SOURCE_DIR)/RefinementManager1d.cc \
	$(SOURCE_DIR)/RefinementManager2d.cc \
	$(SOURCE_DIR)/RefinementManager3d.cc \
	$(SOURCE_DIR)/Tetrahedron.cc $(SOURCE_DIR)/Traverse.cc \
225 226 227
	$(SOURCE_DIR)/TraverseParallel.h \
	$(SOURCE_DIR)/TraverseParallel.cc $(SOURCE_DIR)/Triangle.cc \
	$(SOURCE_DIR)/TecPlotWriter.cc $(SOURCE_DIR)/ValueWriter.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
228 229
	$(SOURCE_DIR)/VtkWriter.h $(SOURCE_DIR)/VtkWriter.cc \
	$(SOURCE_DIR)/PngWriter.h $(SOURCE_DIR)/PngWriter.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
230
	$(SOURCE_DIR)/PovrayWriter.h $(SOURCE_DIR)/PovrayWriter.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
231 232 233 234
	$(SOURCE_DIR)/DataCollector.h $(SOURCE_DIR)/DataCollector.cc \
	$(SOURCE_DIR)/ElementInfo.h $(SOURCE_DIR)/VertexInfo.h \
	$(SOURCE_DIR)/PeriodicInfo.h $(SOURCE_DIR)/OpenMP.h \
	$(SOURCE_DIR)/ScalableQuadrature.h \
235
	$(SOURCE_DIR)/ScalableQuadrature.cc $(SOURCE_DIR)/SubElInfo.h \
236 237
	$(SOURCE_DIR)/SubElInfo.cc $(SOURCE_DIR)/SolutionDataStorage.h \
	$(SOURCE_DIR)/SolutionDataStorage.hh \
238
	$(SOURCE_DIR)/ElementDofIteartor.h \
239
	$(SOURCE_DIR)/ElementDofIterator.cc \
240 241
	$(SOURCE_DIR)/parallel/InteriorBoundary.h \
	$(SOURCE_DIR)/parallel/InteriorBoundary.cc \
242 243 244 245
	$(SOURCE_DIR)/Debug.h $(SOURCE_DIR)/Debug.cc \
	$(SOURCE_DIR)/time/RosenbrockAdaptInstationary.h \
	$(SOURCE_DIR)/time/RosenbrockAdaptInstationary.cc \
	$(SOURCE_DIR)/time/RosenbrockStationary.h \
246 247 248
	$(SOURCE_DIR)/time/RosenbrockStationary.cc \
	$(SOURCE_DIR)/time/RosenbrockMethod.h \
	$(SOURCE_DIR)/time/RosenbrockMethod.cc
249
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@am__objects_1 = libamdis_la-StdMpi.lo \
250 251
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@	libamdis_la-MeshDistributor.lo \
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@	libamdis_la-ParallelDebug.lo \
252
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@	libamdis_la-GlobalMatrixSolver.lo \
253
@USE_PARALLEL_DOMAIN_AMDIS_TRUE@	libamdis_la-MpiHelper.lo
254 255
@USE_PARALLEL_AMDIS_FALSE@am__objects_2 = $(am__objects_1)
@USE_PARALLEL_AMDIS_TRUE@am__objects_2 =  \
256
@USE_PARALLEL_AMDIS_TRUE@	libamdis_la-ConditionalEstimator.lo \
257
@USE_PARALLEL_AMDIS_TRUE@	libamdis_la-ConditionalMarker.lo \
258
@USE_PARALLEL_AMDIS_TRUE@	libamdis_la-ParallelProblem.lo \
259
@USE_PARALLEL_AMDIS_TRUE@	libamdis_la-ParMetisPartitioner.lo \
260
@USE_PARALLEL_AMDIS_TRUE@	libamdis_la-PollutionError.lo \
261 262
@USE_PARALLEL_AMDIS_TRUE@	$(am__objects_1)
am_libamdis_la_OBJECTS = $(am__objects_2) libamdis_la-DOFIndexed.lo \
Thomas Witkowski's avatar
Thomas Witkowski committed
263 264 265
	libamdis_la-GNUPlotWriter.lo libamdis_la-VertexVector.lo \
	libamdis_la-PeriodicBC.lo libamdis_la-Recovery.lo \
	libamdis_la-RecoveryEstimator.lo \
266 267
	libamdis_la-ResidualEstimator.lo libamdis_la-Cholesky.lo \
	libamdis_la-AdaptBase.lo \
268 269
	libamdis_la-StandardProblemIteration.lo \
	libamdis_la-ProblemScal.lo libamdis_la-ProblemVec.lo \
270 271
	libamdis_la-ProblemVecDbg.lo libamdis_la-DualTraverse.lo \
	libamdis_la-ElementData.lo \
Thomas Witkowski's avatar
Thomas Witkowski committed
272 273
	libamdis_la-ComponentTraverseInfo.lo libamdis_la-CreatorMap.lo \
	libamdis_la-ProblemInterpolScal.lo \
274 275
	libamdis_la-ProblemInterpolVec.lo libamdis_la-MacroReader.lo \
	libamdis_la-ValueReader.lo libamdis_la-Projection.lo \
276 277 278 279
	libamdis_la-SubAssembler.lo libamdis_la-ZeroOrderAssembler.lo \
	libamdis_la-FirstOrderAssembler.lo \
	libamdis_la-SecondOrderAssembler.lo libamdis_la-Assembler.lo \
	libamdis_la-AdaptInfo.lo libamdis_la-Marker.lo \
280 281 282 283
	libamdis_la-SurfaceQuadrature.lo libamdis_la-LeafData.lo \
	libamdis_la-BoundaryManager.lo libamdis_la-DirichletBC.lo \
	libamdis_la-RobinBC.lo libamdis_la-FileWriter.lo \
	libamdis_la-ElementFileWriter.lo libamdis_la-ElInfo.lo \
284 285 286
	libamdis_la-ElInfoStack.lo libamdis_la-OperatorTerm.lo \
	libamdis_la-ZeroOrderTerm.lo libamdis_la-FirstOrderTerm.lo \
	libamdis_la-SecondOrderTerm.lo libamdis_la-Operator.lo \
287 288
	libamdis_la-Mesh.lo libamdis_la-MeshStructure.lo \
	libamdis_la-AdaptStationary.lo \
289 290 291 292 293
	libamdis_la-AdaptInstationary.lo libamdis_la-DOFVector.lo \
	libamdis_la-Estimator.lo libamdis_la-ProblemInstat.lo \
	libamdis_la-ProblemNonLin.lo libamdis_la-NonLinUpdater.lo \
	libamdis_la-QPsiPhi.lo libamdis_la-BasisFunction.lo \
	libamdis_la-Boundary.lo libamdis_la-CoarseningManager.lo \
294 295
	libamdis_la-CoarseningManager1d.lo \
	libamdis_la-CoarseningManager2d.lo \
296 297 298 299 300 301 302 303 304
	libamdis_la-CoarseningManager3d.lo libamdis_la-DOFAdmin.lo \
	libamdis_la-DOFMatrix.lo libamdis_la-Element.lo \
	libamdis_la-ElInfo1d.lo libamdis_la-ElInfo2d.lo \
	libamdis_la-ElInfo3d.lo libamdis_la-FiniteElemSpace.lo \
	libamdis_la-FixVec.lo libamdis_la-Global.lo \
	libamdis_la-Lagrange.lo libamdis_la-Line.lo \
	libamdis_la-MacroElement.lo libamdis_la-MacroWriter.lo \
	libamdis_la-Parameters.lo libamdis_la-Parametric.lo \
	libamdis_la-Quadrature.lo libamdis_la-RCNeighbourList.lo \
305 306 307 308
	libamdis_la-RefinementManager.lo \
	libamdis_la-RefinementManager1d.lo \
	libamdis_la-RefinementManager2d.lo \
	libamdis_la-RefinementManager3d.lo libamdis_la-Tetrahedron.lo \
309 310
	libamdis_la-Traverse.lo libamdis_la-TraverseParallel.lo \
	libamdis_la-Triangle.lo libamdis_la-TecPlotWriter.lo \
Thomas Witkowski's avatar
Thomas Witkowski committed
311
	libamdis_la-ValueWriter.lo libamdis_la-VtkWriter.lo \
Thomas Witkowski's avatar
Thomas Witkowski committed
312 313
	libamdis_la-PngWriter.lo libamdis_la-PovrayWriter.lo \
	libamdis_la-DataCollector.lo libamdis_la-ScalableQuadrature.lo \
314
	libamdis_la-SubElInfo.lo libamdis_la-ElementDofIterator.lo \
315 316
	libamdis_la-InteriorBoundary.lo libamdis_la-Debug.lo \
	libamdis_la-RosenbrockAdaptInstationary.lo \
317 318
	libamdis_la-RosenbrockStationary.lo \
	libamdis_la-RosenbrockMethod.lo
319 320 321 322 323 324 325 326 327 328 329 330
libamdis_la_OBJECTS = $(am_libamdis_la_OBJECTS)
libcompositeFEM_la_LIBADD =
am_libcompositeFEM_la_OBJECTS = libcompositeFEM_la-CFE_Integration.lo \
	libcompositeFEM_la-CFE_NormAndErrorFcts.lo \
	libcompositeFEM_la-CompositeFEMMethods.lo \
	libcompositeFEM_la-LevelSetAdaptMesh.lo \
	libcompositeFEM_la-PenaltyOperator.lo \
	libcompositeFEM_la-ElementLevelSet.lo \
	libcompositeFEM_la-CompositeFEMOperator.lo \
	libcompositeFEM_la-SubPolytope.lo \
	libcompositeFEM_la-SubElementAssembler.lo
libcompositeFEM_la_OBJECTS = $(am_libcompositeFEM_la_OBJECTS)
331
DEFAULT_INCLUDES = -I. -I$(srcdir)
332 333 334 335
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
336 337 338
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
339
CXXLD = $(CXX)
340 341
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
342 343
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
344 345 346
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
347
CCLD = $(CC)
348 349
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
350 351 352 353 354 355 356
SOURCES = $(libamdis_la_SOURCES) $(libcompositeFEM_la_SOURCES)
DIST_SOURCES = $(am__libamdis_la_SOURCES_DIST) \
	$(libcompositeFEM_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
357 358 359 360 361 362 363 364
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMDIS_DEBUG_FALSE = @AMDIS_DEBUG_FALSE@
AMDIS_DEBUG_TRUE = @AMDIS_DEBUG_TRUE@
AMDIS_INTEL_FALSE = @AMDIS_INTEL_FALSE@
AMDIS_INTEL_TRUE = @AMDIS_INTEL_TRUE@
AMDIS_OPENMP_FALSE = @AMDIS_OPENMP_FALSE@
AMDIS_OPENMP_TRUE = @AMDIS_OPENMP_TRUE@
365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
383
DUNE_DIR = @DUNE_DIR@
384
ECHO = @ECHO@
385 386 387 388
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
389 390 391 392 393 394 395 396
ENABLE_BOOST_FALSE = @ENABLE_BOOST_FALSE@
ENABLE_BOOST_TRUE = @ENABLE_BOOST_TRUE@
ENABLE_DUNE_FALSE = @ENABLE_DUNE_FALSE@
ENABLE_DUNE_TRUE = @ENABLE_DUNE_TRUE@
ENABLE_MKL_FALSE = @ENABLE_MKL_FALSE@
ENABLE_MKL_TRUE = @ENABLE_MKL_TRUE@
ENABLE_UMFPACK_FALSE = @ENABLE_UMFPACK_FALSE@
ENABLE_UMFPACK_TRUE = @ENABLE_UMFPACK_TRUE@
397
EXEEXT = @EXEEXT@
398 399
F77 = @F77@
FFLAGS = @FFLAGS@
400 401 402 403 404 405 406 407 408 409 410
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
411 412
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
413 414 415 416 417 418 419 420 421 422 423
MAKEINFO = @MAKEINFO@
MPI_DIR = @MPI_DIR@
OBJEXT = @OBJEXT@
OPENMP_FLAG = @OPENMP_FLAG@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
424
PETSC_DIR = @PETSC_DIR@
425 426 427 428
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
429 430 431 432
USE_PARALLEL_AMDIS_FALSE = @USE_PARALLEL_AMDIS_FALSE@
USE_PARALLEL_AMDIS_TRUE = @USE_PARALLEL_AMDIS_TRUE@
USE_PARALLEL_DOMAIN_AMDIS_FALSE = @USE_PARALLEL_DOMAIN_AMDIS_FALSE@
USE_PARALLEL_DOMAIN_AMDIS_TRUE = @USE_PARALLEL_DOMAIN_AMDIS_TRUE@
433
VERSION = @VERSION@
434
ac_ct_AR = @ac_ct_AR@
435 436
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
437 438 439 440 441 442 443
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
lib_LTLIBRARIES = libamdis.la libcompositeFEM.la
SOURCE_DIR = ../src
LIB_DIR = ../lib
PARALLEL_DIR = $(SOURCE_DIR)
PARMETIS_DIR = ../lib/ParMetis-3.1
482 483 484 485 486
AMDIS_INCLUDES = -I$(SOURCE_DIR) $(am__append_4) $(am__append_6) \
	$(am__append_9)
libamdis_la_CXXFLAGS = $(am__append_1) $(am__append_3) $(am__append_5) \
	$(am__append_7) $(am__append_8) $(am__append_10) \
	$(am__append_11) $(am__append_12)
487 488 489
@USE_PARALLEL_AMDIS_FALSE@PARALLEL_AMDIS_SOURCES = $(am__append_2)
@USE_PARALLEL_AMDIS_TRUE@PARALLEL_AMDIS_SOURCES = $(PARALLEL_DIR)/ConditionalEstimator.h \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ConditionalEstimator.cc \
490 491
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ConditionalMarker.h \ \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ConditionalMarker.cc \
492 493 494 495 496 497 498
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ParallelError.h \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ParallelError.hh \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ParallelProblem.h \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ParallelProblem.cc \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ParMetisPartitioner.h \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/ParMetisPartitioner.cc \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/PartitionElementData.h \
499 500 501
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/PollutionError.h \
@USE_PARALLEL_AMDIS_TRUE@	$(PARALLEL_DIR)/PollutionError.cc \
@USE_PARALLEL_AMDIS_TRUE@	$(am__append_2)
502
@USE_PARALLEL_AMDIS_FALSE@PARALLEL_INCLUDES = 
503
@USE_PARALLEL_AMDIS_TRUE@PARALLEL_INCLUDES = -I$(MPI_DIR)/include -I$(PARMETIS_DIR)
504
TEMPLATE_INCLUDES = -I../lib/mtl4 
505
INCLUDES = $(AMDIS_INCLUDES) $(PARALLEL_INCLUDES) $(TEMPLATE_INCLUDES)
506 507 508 509 510 511 512 513
libamdis_la_SOURCES = \
$(PARALLEL_AMDIS_SOURCES) \
$(SOURCE_DIR)/DOFIndexed.h $(SOURCE_DIR)/DOFIndexed.cc \
$(SOURCE_DIR)/GNUPlotWriter.h $(SOURCE_DIR)/GNUPlotWriter.cc \
$(SOURCE_DIR)/VertexVector.h $(SOURCE_DIR)/VertexVector.cc \
$(SOURCE_DIR)/PeriodicBC.h $(SOURCE_DIR)/PeriodicBC.cc \
$(SOURCE_DIR)/Recovery.h $(SOURCE_DIR)/Recovery.cc \
$(SOURCE_DIR)/RecoveryEstimator.h $(SOURCE_DIR)/RecoveryEstimator.cc \
514
$(SOURCE_DIR)/ResidualEstimator.h $(SOURCE_DIR)/ResidualEstimator.cc \
515 516
$(SOURCE_DIR)/Cholesky.h $(SOURCE_DIR)/Cholesky.cc \
$(SOURCE_DIR)/AdaptBase.h $(SOURCE_DIR)/AdaptBase.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
517 518
$(SOURCE_DIR)/ProblemIterationInterface.h \
$(SOURCE_DIR)/StandardProblemIteration.h $(SOURCE_DIR)/StandardProblemIteration.cc \
519 520
$(SOURCE_DIR)/ProblemScal.h $(SOURCE_DIR)/ProblemScal.cc \
$(SOURCE_DIR)/ProblemVec.h $(SOURCE_DIR)/ProblemVec.cc \
521
$(SOURCE_DIR)/ProblemVecDbg.h $(SOURCE_DIR)/ProblemVecDbg.cc \
522 523 524
$(SOURCE_DIR)/DualTraverse.h $(SOURCE_DIR)/DualTraverse.cc \
$(SOURCE_DIR)/ElementPartition_ED.h $(SOURCE_DIR)/SurfacePartition_ED.h \
$(SOURCE_DIR)/ElementData.h $(SOURCE_DIR)/ElementData.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
525
$(SOURCE_DIR)/ComponentTraverseInfo.h $(SOURCE_DIR)/ComponentTraverseInfo.cc \
526 527
$(SOURCE_DIR)/CreatorMap.h $(SOURCE_DIR)/CreatorMap.hh $(SOURCE_DIR)/CreatorMap.cc \
$(SOURCE_DIR)/CreatorInterface.h \
528 529 530
$(SOURCE_DIR)/ElementFunction.h \
$(SOURCE_DIR)/ProblemInterpolScal.h $(SOURCE_DIR)/ProblemInterpolScal.cc \
$(SOURCE_DIR)/ProblemInterpolVec.h $(SOURCE_DIR)/ProblemInterpolVec.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
531 532 533
$(SOURCE_DIR)/Serializable.h \
$(SOURCE_DIR)/BallProject.h \
$(SOURCE_DIR)/CylinderProject.h \
534 535 536
$(SOURCE_DIR)/MacroReader.h $(SOURCE_DIR)/MacroReader.cc \
$(SOURCE_DIR)/ValueReader.h $(SOURCE_DIR)/ValueReader.cc \
$(SOURCE_DIR)/Projection.h $(SOURCE_DIR)/Projection.cc \
537 538 539 540
$(SOURCE_DIR)/SubAssembler.h $(SOURCE_DIR)/SubAssembler.cc \
$(SOURCE_DIR)/ZeroOrderAssembler.h $(SOURCE_DIR)/ZeroOrderAssembler.cc \
$(SOURCE_DIR)/FirstOrderAssembler.h $(SOURCE_DIR)/FirstOrderAssembler.cc \
$(SOURCE_DIR)/SecondOrderAssembler.h $(SOURCE_DIR)/SecondOrderAssembler.cc \
541 542 543 544 545 546
$(SOURCE_DIR)/Assembler.h $(SOURCE_DIR)/Assembler.cc \
$(SOURCE_DIR)/AdaptInfo.h $(SOURCE_DIR)/AdaptInfo.cc \
$(SOURCE_DIR)/Marker.h $(SOURCE_DIR)/Marker.cc \
$(SOURCE_DIR)/SystemVector.h \
$(SOURCE_DIR)/SurfaceQuadrature.h $(SOURCE_DIR)/SurfaceQuadrature.cc \
$(SOURCE_DIR)/LeafData.h $(SOURCE_DIR)/LeafData.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
547 548
$(SOURCE_DIR)/BoundaryManager.h $(SOURCE_DIR)/BoundaryManager.cc \
$(SOURCE_DIR)/BoundaryCondition.h \
549 550 551 552 553 554
$(SOURCE_DIR)/DirichletBC.h $(SOURCE_DIR)/DirichletBC.cc \
$(SOURCE_DIR)/RobinBC.h $(SOURCE_DIR)/RobinBC.cc \
$(SOURCE_DIR)/AbstractFunction.h \
$(SOURCE_DIR)/ProblemStatBase.h \
$(SOURCE_DIR)/DOFContainer.h \
$(SOURCE_DIR)/FileWriter.h $(SOURCE_DIR)/FileWriter.hh $(SOURCE_DIR)/FileWriter.cc \
555
$(SOURCE_DIR)/ElementFileWriter.h $(SOURCE_DIR)/ElementFileWriter.cc \
556
$(SOURCE_DIR)/ElInfo.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
557
$(SOURCE_DIR)/ElInfoStack.h $(SOURCE_DIR)/ElInfoStack.cc \
558 559 560 561
$(SOURCE_DIR)/OperatorTerm.h $(SOURCE_DIR)/OperatorTerm.cc \
$(SOURCE_DIR)/ZeroOrderTerm.h $(SOURCE_DIR)/ZeroOrderTerm.cc \
$(SOURCE_DIR)/FirstOrderTerm.h $(SOURCE_DIR)/FirstOrderTerm.cc \
$(SOURCE_DIR)/SecondOrderTerm.h $(SOURCE_DIR)/SecondOrderTerm.cc \
562 563
$(SOURCE_DIR)/Operator.h $(SOURCE_DIR)/Operator.cc \
$(SOURCE_DIR)/Mesh.cc \
564 565
$(SOURCE_DIR)/MeshStructure.h $(SOURCE_DIR)/MeshStructure.cc \
$(SOURCE_DIR)/MeshStructure_ED.h \
566 567 568 569 570 571
$(SOURCE_DIR)/AMDiS.h \
$(SOURCE_DIR)/AdaptStationary.h $(SOURCE_DIR)/AdaptStationary.cc \
$(SOURCE_DIR)/AdaptInstationary.h $(SOURCE_DIR)/AdaptInstationary.cc \
$(SOURCE_DIR)/QPsiPhi.h \
$(SOURCE_DIR)/BasisFunction.h \
$(SOURCE_DIR)/Boundary.h \
572
$(SOURCE_DIR)/ITL_Solver.h \
573 574
$(SOURCE_DIR)/CoarseningManager.h \
$(SOURCE_DIR)/CoarseningManager1d.h $(SOURCE_DIR)/CoarseningManager2d.h $(SOURCE_DIR)/CoarseningManager3d.h \
575 576 577 578 579 580 581 582 583 584 585 586 587
$(SOURCE_DIR)/DOFAdmin.h \
$(SOURCE_DIR)/DOFIterator.h \
$(SOURCE_DIR)/DOFMatrix.h \
$(SOURCE_DIR)/DOFVector.h $(SOURCE_DIR)/DOFVector.hh $(SOURCE_DIR)/DOFVector.cc \
$(SOURCE_DIR)/Element.h $(SOURCE_DIR)/ElementConnection.h \
$(SOURCE_DIR)/ElInfo.h $(SOURCE_DIR)/ElInfo1d.h $(SOURCE_DIR)/ElInfo2d.h $(SOURCE_DIR)/ElInfo3d.h \
$(SOURCE_DIR)/Error.h $(SOURCE_DIR)/Error.hh \
$(SOURCE_DIR)/Estimator.h $(SOURCE_DIR)/Estimator.cc \
$(SOURCE_DIR)/FiniteElemSpace.h \
$(SOURCE_DIR)/FixVec.h $(SOURCE_DIR)/FixVec.hh \
$(SOURCE_DIR)/FixVecConvert.h \
$(SOURCE_DIR)/Flag.h \
$(SOURCE_DIR)/Global.h \
588
$(SOURCE_DIR)/UmfPackSolver.h \ $(SOURCE_DIR)/UmfPackSolver.hh \
589
$(SOURCE_DIR)/Lagrange.h $(SOURCE_DIR)/Line.h \
590 591 592 593 594
$(SOURCE_DIR)/MacroElement.h $(SOURCE_DIR)/MacroWriter.h \
$(SOURCE_DIR)/Markings.h $(SOURCE_DIR)/Markings.hh \
$(SOURCE_DIR)/Mesh.h \
$(SOURCE_DIR)/Parameters.h \
$(SOURCE_DIR)/Parametric.h \
595
$(SOURCE_DIR)/Quadrature.h \
596 597
$(SOURCE_DIR)/RCNeighbourList.h \
$(SOURCE_DIRe)/RefinementManager.h \
598 599 600
$(SOURCE_DIR)/RefinementManager1d.h \
$(SOURCE_DIR)/RefinementManager2d.h \
$(SOURCE_DIR)/RefinementManager3d.h \
601 602 603 604 605 606 607 608
$(SOURCE_DIR)/TecPlotWriter.h $(SOURCE_DIR)/TecPlotWriter.hh \
$(SOURCE_DIR)/Tetrahedron.h \
$(SOURCE_DIR)/Traverse.h \
$(SOURCE_DIR)/Triangle.h \
$(SOURCE_DIR)/NonLinSolver.h $(SOURCE_DIR)/NonLinSolver.hh \
$(SOURCE_DIR)/ProblemInstat.h $(SOURCE_DIR)/ProblemInstat.cc \
$(SOURCE_DIR)/ProblemTimeInterface.h \
$(SOURCE_DIR)/ProblemNonLin.h $(SOURCE_DIR)/ProblemNonLin.cc \
609
$(SOURCE_DIR)/NonLinUpdater.h $(SOURCE_DIR)/NonLinUpdater.cc \
610 611 612 613 614 615 616 617 618 619 620 621 622 623
$(SOURCE_DIR)/Newton.h $(SOURCE_DIR)/Newton.hh  \
$(SOURCE_DIR)/NewtonFS.h $(SOURCE_DIR)/NewtonFS.hh \
$(SOURCE_DIR)/GridWriter.h $(SOURCE_DIR)/GridWriter.hh \
$(SOURCE_DIR)/ValueWriter.h \
$(SOURCE_DIR)/QPsiPhi.cc \
$(SOURCE_DIR)/BasisFunction.cc \
$(SOURCE_DIR)/Boundary.cc \
$(SOURCE_DIR)/CoarseningManager.cc \
$(SOURCE_DIR)/CoarseningManager1d.cc \
$(SOURCE_DIR)/CoarseningManager2d.cc \
$(SOURCE_DIR)/CoarseningManager3d.cc \
$(SOURCE_DIR)/DOFAdmin.cc \
$(SOURCE_DIR)/DOFMatrix.cc \
$(SOURCE_DIR)/Element.cc \
624 625 626
$(SOURCE_DIR)/ElInfo1d.cc \
$(SOURCE_DIR)/ElInfo2d.cc \
$(SOURCE_DIR)/ElInfo3d.cc \
627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643
$(SOURCE_DIR)/FiniteElemSpace.cc \
$(SOURCE_DIR)/FixVec.cc \
$(SOURCE_DIR)/Global.cc \
$(SOURCE_DIR)/Lagrange.cc \
$(SOURCE_DIR)/Line.cc \
$(SOURCE_DIR)/MacroElement.cc \
$(SOURCE_DIR)/MacroWriter.cc \
$(SOURCE_DIR)/Parameters.cc \
$(SOURCE_DIR)/Parametric.cc \
$(SOURCE_DIR)/Quadrature.cc \
$(SOURCE_DIR)/RCNeighbourList.cc \
$(SOURCE_DIR)/RefinementManager.cc \
$(SOURCE_DIR)/RefinementManager1d.cc \
$(SOURCE_DIR)/RefinementManager2d.cc \
$(SOURCE_DIR)/RefinementManager3d.cc \
$(SOURCE_DIR)/Tetrahedron.cc \
$(SOURCE_DIR)/Traverse.cc \
644
$(SOURCE_DIR)/TraverseParallel.h $(SOURCE_DIR)/TraverseParallel.cc \
645 646 647
$(SOURCE_DIR)/Triangle.cc \
$(SOURCE_DIR)/TecPlotWriter.cc \
$(SOURCE_DIR)/ValueWriter.cc \
648
$(SOURCE_DIR)/VtkWriter.h $(SOURCE_DIR)/VtkWriter.cc \
649
$(SOURCE_DIR)/PngWriter.h $(SOURCE_DIR)/PngWriter.cc \
Thomas Witkowski's avatar
Thomas Witkowski committed
650
$(SOURCE_DIR)/PovrayWriter.h $(SOURCE_DIR)/PovrayWriter.cc \
651
$(SOURCE_DIR)/DataCollector.h $(SOURCE_DIR)/DataCollector.cc \
652 653 654
$(SOURCE_DIR)/ElementInfo.h \
$(SOURCE_DIR)/VertexInfo.h \
$(SOURCE_DIR)/PeriodicInfo.h \
655
$(SOURCE_DIR)/OpenMP.h \
656 657
$(SOURCE_DIR)/ScalableQuadrature.h $(SOURCE_DIR)/ScalableQuadrature.cc \
$(SOURCE_DIR)/SubElInfo.h $(SOURCE_DIR)/SubElInfo.cc \
658
$(SOURCE_DIR)/SolutionDataStorage.h $(SOURCE_DIR)/SolutionDataStorage.hh \
659
$(SOURCE_DIR)/ElementDofIteartor.h $(SOURCE_DIR)/ElementDofIterator.cc \
660
$(SOURCE_DIR)/parallel/InteriorBoundary.h $(SOURCE_DIR)/parallel/InteriorBoundary.cc \
661 662
$(SOURCE_DIR)/Debug.h $(SOURCE_DIR)/Debug.cc \
$(SOURCE_DIR)/time/RosenbrockAdaptInstationary.h $(SOURCE_DIR)/time/RosenbrockAdaptInstationary.cc \
663 664
$(SOURCE_DIR)/time/RosenbrockStationary.h $(SOURCE_DIR)/time/RosenbrockStationary.cc \
$(SOURCE_DIR)/time/RosenbrockMethod.h $(SOURCE_DIR)/time/RosenbrockMethod.cc 
665 666

COMPOSITE_SOURCE_DIR = ../compositeFEM/src
667
libcompositeFEM_la_CXXFLAGS = $(libamdis_la_CXXFLAGS)
668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694
libcompositeFEM_la_SOURCES = $(COMPOSITE_SOURCE_DIR)/CFE_Integration.h \
$(COMPOSITE_SOURCE_DIR)/CFE_Integration.cc \
$(COMPOSITE_SOURCE_DIR)/CFE_NormAndErrorFcts.h \
$(COMPOSITE_SOURCE_DIR)/CFE_NormAndErrorFcts.cc \
$(COMPOSITE_SOURCE_DIR)/CompositeFEMMethods.h \
$(COMPOSITE_SOURCE_DIR)/CompositeFEMMethods.cc \
$(COMPOSITE_SOURCE_DIR)/LevelSetAdaptMesh.h \
$(COMPOSITE_SOURCE_DIR)/LevelSetAdaptMesh.cc \
$(COMPOSITE_SOURCE_DIR)/PenaltyOperator.h \
$(COMPOSITE_SOURCE_DIR)/PenaltyOperator.cc \
$(COMPOSITE_SOURCE_DIR)/ElementLevelSet.h \
$(COMPOSITE_SOURCE_DIR)/ElementLevelSet.cc \
$(COMPOSITE_SOURCE_DIR)/CompositeFEMOperator.h \
$(COMPOSITE_SOURCE_DIR)/CompositeFEMOperator.cc \
$(COMPOSITE_SOURCE_DIR)/SubPolytope.h $(COMPOSITE_SOURCE_DIR)/SubPolytope.cc \
$(COMPOSITE_SOURCE_DIR)/SubElementAssembler.h \
$(COMPOSITE_SOURCE_DIR)/SubElementAssembler.cc \
$(COMPOSITE_SOURCE_DIR)/TranslateLsFct.h

all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
695 696
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  bin/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  bin/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
722
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
723 724 725
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
726 727
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
728 729 730 731 732
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
733
	@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
734
	  p=$(am__strip_dir) \
735 736
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
737 738 739 740 741 742 743 744 745 746 747
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libamdis.la: $(libamdis_la_OBJECTS) $(libamdis_la_DEPENDENCIES) 
748
	$(CXXLINK) -rpath $(libdir) $(libamdis_la_LDFLAGS) $(libamdis_la_OBJECTS) $(libamdis_la_LIBADD) $(LIBS)
749
libcompositeFEM.la: $(libcompositeFEM_la_OBJECTS) $(libcompositeFEM_la_DEPENDENCIES) 
750
	$(CXXLINK) -rpath $(libdir) $(libcompositeFEM_la_LDFLAGS) $(libcompositeFEM_la_OBJECTS) $(libcompositeFEM_la_LIBADD) $(LIBS)
751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-AdaptBase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-AdaptInfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-AdaptInstationary.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-AdaptStationary.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Assembler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-BasisFunction.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Boundary.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-BoundaryManager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Cholesky.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-CoarseningManager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-CoarseningManager1d.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-CoarseningManager2d.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-CoarseningManager3d.Plo@am__quote@
Thomas Witkowski's avatar
Thomas Witkowski committed
771
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ComponentTraverseInfo.Plo@am__quote@
772
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ConditionalEstimator.Plo@am__quote@
773
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ConditionalMarker.Plo@am__quote@
774 775 776 777 778 779
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-CreatorMap.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-DOFAdmin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-DOFIndexed.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-DOFMatrix.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-DOFVector.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-DataCollector.Plo@am__quote@
780
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Debug.Plo@am__quote@
781 782 783 784 785 786
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-DirichletBC.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-DualTraverse.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ElInfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ElInfo1d.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ElInfo2d.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ElInfo3d.Plo@am__quote@
Thomas Witkowski's avatar
Thomas Witkowski committed
787
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ElInfoStack.Plo@am__quote@
788 789
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Element.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ElementData.Plo@am__quote@
790
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ElementDofIterator.Plo@am__quote@
791 792 793 794
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ElementFileWriter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Estimator.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-FileWriter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-FiniteElemSpace.Plo@am__quote@
795
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-FirstOrderAssembler.Plo@am__quote@
796
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-FirstOrderTerm.Plo@am__quote@
797 798 799
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-FixVec.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-GNUPlotWriter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Global.Plo@am__quote@
800
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-GlobalMatrixSolver.Plo@am__quote@
801
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-InteriorBoundary.Plo@am__quote@
802 803 804 805 806 807 808 809
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Lagrange.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-LeafData.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Line.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-MacroElement.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-MacroReader.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-MacroWriter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Marker.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Mesh.Plo@am__quote@
810
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-MeshDistributor.Plo@am__quote@
811
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-MeshStructure.Plo@am__quote@
812
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-MpiHelper.Plo@am__quote@
813 814
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-NonLinUpdater.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Operator.Plo@am__quote@
815
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-OperatorTerm.Plo@am__quote@
816
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ParMetisPartitioner.Plo@am__quote@
817
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ParallelDebug.Plo@am__quote@
818 819 820 821
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ParallelProblem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Parameters.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Parametric.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-PeriodicBC.Plo@am__quote@
822
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-PngWriter.Plo@am__quote@
823
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-PollutionError.Plo@am__quote@
Thomas Witkowski's avatar
Thomas Witkowski committed
824
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-PovrayWriter.Plo@am__quote@
825 826 827 828 829 830
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ProblemInstat.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ProblemInterpolScal.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ProblemInterpolVec.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ProblemNonLin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ProblemScal.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ProblemVec.Plo@am__quote@
831
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ProblemVecDbg.Plo@am__quote@
832 833 834 835 836 837 838 839 840 841
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Projection.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-QPsiPhi.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Quadrature.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RCNeighbourList.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Recovery.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RecoveryEstimator.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RefinementManager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RefinementManager1d.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RefinementManager2d.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RefinementManager3d.Plo@am__quote@
842
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ResidualEstimator.Plo@am__quote@
843
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RobinBC.Plo@am__quote@
844
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RosenbrockAdaptInstationary.Plo@am__quote@
845
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RosenbrockMethod.Plo@am__quote@
846
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-RosenbrockStationary.Plo@am__quote@
847 848
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ScalableQuadrature.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-SecondOrderAssembler.Plo@am__quote@
849
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-SecondOrderTerm.Plo@am__quote@
850
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-StandardProblemIteration.Plo@am__quote@
851
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-StdMpi.Plo@am__quote@
852 853
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-SubAssembler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-SubElInfo.Plo@am__quote@
854 855 856 857
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-SurfaceQuadrature.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-TecPlotWriter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Tetrahedron.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Traverse.Plo@am__quote@
858
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-TraverseParallel.Plo@am__quote@
859 860 861 862 863
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-Triangle.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ValueReader.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ValueWriter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-VertexVector.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-VtkWriter.Plo@am__quote@
864
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ZeroOrderAssembler.Plo@am__quote@
865
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libamdis_la-ZeroOrderTerm.Plo@am__quote@
866 867 868 869 870 871 872 873 874 875 876
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-CFE_Integration.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-CFE_NormAndErrorFcts.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-CompositeFEMMethods.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-CompositeFEMOperator.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-ElementLevelSet.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-LevelSetAdaptMesh.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-PenaltyOperator.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-SubElementAssembler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcompositeFEM_la-SubPolytope.Plo@am__quote@

.cc.o:
877 878
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
879 880 881 882 883
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
884 885
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
886 887 888 889 890
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cc.lo:
891 892
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
893 894 895 896
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

897 898 899 900 901 902 903
libamdis_la-StdMpi.lo: $(SOURCE_DIR)/parallel/StdMpi.cc
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-StdMpi.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-StdMpi.Tpo" -c -o libamdis_la-StdMpi.lo `test -f '$(SOURCE_DIR)/parallel/StdMpi.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/StdMpi.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-StdMpi.Tpo" "$(DEPDIR)/libamdis_la-StdMpi.Plo"; else rm -f "$(DEPDIR)/libamdis_la-StdMpi.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/parallel/StdMpi.cc' object='libamdis_la-StdMpi.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-StdMpi.lo `test -f '$(SOURCE_DIR)/parallel/StdMpi.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/StdMpi.cc

904 905 906 907
libamdis_la-MeshDistributor.lo: $(SOURCE_DIR)/parallel/MeshDistributor.cc
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-MeshDistributor.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-MeshDistributor.Tpo" -c -o libamdis_la-MeshDistributor.lo `test -f '$(SOURCE_DIR)/parallel/MeshDistributor.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/MeshDistributor.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-MeshDistributor.Tpo" "$(DEPDIR)/libamdis_la-MeshDistributor.Plo"; else rm -f "$(DEPDIR)/libamdis_la-MeshDistributor.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/parallel/MeshDistributor.cc' object='libamdis_la-MeshDistributor.lo' libtool=yes @AMDEPBACKSLASH@
908
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
909
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-MeshDistributor.lo `test -f '$(SOURCE_DIR)/parallel/MeshDistributor.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/MeshDistributor.cc
910

911 912 913 914
libamdis_la-ParallelDebug.lo: $(SOURCE_DIR)/parallel/ParallelDebug.cc
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-ParallelDebug.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-ParallelDebug.Tpo" -c -o libamdis_la-ParallelDebug.lo `test -f '$(SOURCE_DIR)/parallel/ParallelDebug.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/ParallelDebug.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-ParallelDebug.Tpo" "$(DEPDIR)/libamdis_la-ParallelDebug.Plo"; else rm -f "$(DEPDIR)/libamdis_la-ParallelDebug.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/parallel/ParallelDebug.cc' object='libamdis_la-ParallelDebug.lo' libtool=yes @AMDEPBACKSLASH@
915
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
916
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-ParallelDebug.lo `test -f '$(SOURCE_DIR)/parallel/ParallelDebug.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/ParallelDebug.cc
917

918 919 920 921
libamdis_la-GlobalMatrixSolver.lo: $(SOURCE_DIR)/parallel/GlobalMatrixSolver.cc
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-GlobalMatrixSolver.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-GlobalMatrixSolver.Tpo" -c -o libamdis_la-GlobalMatrixSolver.lo `test -f '$(SOURCE_DIR)/parallel/GlobalMatrixSolver.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/GlobalMatrixSolver.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-GlobalMatrixSolver.Tpo" "$(DEPDIR)/libamdis_la-GlobalMatrixSolver.Plo"; else rm -f "$(DEPDIR)/libamdis_la-GlobalMatrixSolver.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/parallel/GlobalMatrixSolver.cc' object='libamdis_la-GlobalMatrixSolver.lo' libtool=yes @AMDEPBACKSLASH@
922
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-GlobalMatrixSolver.lo `test -f '$(SOURCE_DIR)/parallel/GlobalMatrixSolver.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/GlobalMatrixSolver.cc
924

925 926 927 928 929 930 931
libamdis_la-MpiHelper.lo: $(SOURCE_DIR)/parallel/MpiHelper.cc
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-MpiHelper.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-MpiHelper.Tpo" -c -o libamdis_la-MpiHelper.lo `test -f '$(SOURCE_DIR)/parallel/MpiHelper.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/MpiHelper.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-MpiHelper.Tpo" "$(DEPDIR)/libamdis_la-MpiHelper.Plo"; else rm -f "$(DEPDIR)/libamdis_la-MpiHelper.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/parallel/MpiHelper.cc' object='libamdis_la-MpiHelper.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-MpiHelper.lo `test -f '$(SOURCE_DIR)/parallel/MpiHelper.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/parallel/MpiHelper.cc

932
libamdis_la-ConditionalEstimator.lo: $(PARALLEL_DIR)/ConditionalEstimator.cc
933 934
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-ConditionalEstimator.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-ConditionalEstimator.Tpo" -c -o libamdis_la-ConditionalEstimator.lo `test -f '$(PARALLEL_DIR)/ConditionalEstimator.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/ConditionalEstimator.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-ConditionalEstimator.Tpo" "$(DEPDIR)/libamdis_la-ConditionalEstimator.Plo"; else rm -f "$(DEPDIR)/libamdis_la-ConditionalEstimator.Tpo"; exit 1; fi
935 936
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(PARALLEL_DIR)/ConditionalEstimator.cc' object='libamdis_la-ConditionalEstimator.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-ConditionalEstimator.lo `test -f '$(PARALLEL_DIR)/ConditionalEstimator.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/ConditionalEstimator.cc
938

939 940 941 942 943 944 945
libamdis_la-ConditionalMarker.lo: $(PARALLEL_DIR)/ConditionalMarker.cc
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-ConditionalMarker.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-ConditionalMarker.Tpo" -c -o libamdis_la-ConditionalMarker.lo `test -f '$(PARALLEL_DIR)/ConditionalMarker.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/ConditionalMarker.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-ConditionalMarker.Tpo" "$(DEPDIR)/libamdis_la-ConditionalMarker.Plo"; else rm -f "$(DEPDIR)/libamdis_la-ConditionalMarker.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(PARALLEL_DIR)/ConditionalMarker.cc' object='libamdis_la-ConditionalMarker.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-ConditionalMarker.lo `test -f '$(PARALLEL_DIR)/ConditionalMarker.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/ConditionalMarker.cc

946
libamdis_la-ParallelProblem.lo: $(PARALLEL_DIR)/ParallelProblem.cc
947 948
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-ParallelProblem.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-ParallelProblem.Tpo" -c -o libamdis_la-ParallelProblem.lo `test -f '$(PARALLEL_DIR)/ParallelProblem.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/ParallelProblem.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-ParallelProblem.Tpo" "$(DEPDIR)/libamdis_la-ParallelProblem.Plo"; else rm -f "$(DEPDIR)/libamdis_la-ParallelProblem.Tpo"; exit 1; fi
949 950
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(PARALLEL_DIR)/ParallelProblem.cc' object='libamdis_la-ParallelProblem.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
951
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-ParallelProblem.lo `test -f '$(PARALLEL_DIR)/ParallelProblem.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/ParallelProblem.cc
952 953

libamdis_la-ParMetisPartitioner.lo: $(PARALLEL_DIR)/ParMetisPartitioner.cc
954 955
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-ParMetisPartitioner.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-ParMetisPartitioner.Tpo" -c -o libamdis_la-ParMetisPartitioner.lo `test -f '$(PARALLEL_DIR)/ParMetisPartitioner.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/ParMetisPartitioner.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-ParMetisPartitioner.Tpo" "$(DEPDIR)/libamdis_la-ParMetisPartitioner.Plo"; else rm -f "$(DEPDIR)/libamdis_la-ParMetisPartitioner.Tpo"; exit 1; fi
956 957
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(PARALLEL_DIR)/ParMetisPartitioner.cc' object='libamdis_la-ParMetisPartitioner.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
958
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-ParMetisPartitioner.lo `test -f '$(PARALLEL_DIR)/ParMetisPartitioner.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/ParMetisPartitioner.cc
959

960 961 962 963 964 965 966
libamdis_la-PollutionError.lo: $(PARALLEL_DIR)/PollutionError.cc
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-PollutionError.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-PollutionError.Tpo" -c -o libamdis_la-PollutionError.lo `test -f '$(PARALLEL_DIR)/PollutionError.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/PollutionError.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-PollutionError.Tpo" "$(DEPDIR)/libamdis_la-PollutionError.Plo"; else rm -f "$(DEPDIR)/libamdis_la-PollutionError.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(PARALLEL_DIR)/PollutionError.cc' object='libamdis_la-PollutionError.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-PollutionError.lo `test -f '$(PARALLEL_DIR)/PollutionError.cc' || echo '$(srcdir)/'`$(PARALLEL_DIR)/PollutionError.cc

967
libamdis_la-DOFIndexed.lo: $(SOURCE_DIR)/DOFIndexed.cc
968 969
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-DOFIndexed.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-DOFIndexed.Tpo" -c -o libamdis_la-DOFIndexed.lo `test -f '$(SOURCE_DIR)/DOFIndexed.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/DOFIndexed.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-DOFIndexed.Tpo" "$(DEPDIR)/libamdis_la-DOFIndexed.Plo"; else rm -f "$(DEPDIR)/libamdis_la-DOFIndexed.Tpo"; exit 1; fi
970 971
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/DOFIndexed.cc' object='libamdis_la-DOFIndexed.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
972
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-DOFIndexed.lo `test -f '$(SOURCE_DIR)/DOFIndexed.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/DOFIndexed.cc
973 974

libamdis_la-GNUPlotWriter.lo: $(SOURCE_DIR)/GNUPlotWriter.cc
975 976
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-GNUPlotWriter.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-GNUPlotWriter.Tpo" -c -o libamdis_la-GNUPlotWriter.lo `test -f '$(SOURCE_DIR)/GNUPlotWriter.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/GNUPlotWriter.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-GNUPlotWriter.Tpo" "$(DEPDIR)/libamdis_la-GNUPlotWriter.Plo"; else rm -f "$(DEPDIR)/libamdis_la-GNUPlotWriter.Tpo"; exit 1; fi
977 978
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/GNUPlotWriter.cc' object='libamdis_la-GNUPlotWriter.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
979
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-GNUPlotWriter.lo `test -f '$(SOURCE_DIR)/GNUPlotWriter.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/GNUPlotWriter.cc
980 981

libamdis_la-VertexVector.lo: $(SOURCE_DIR)/VertexVector.cc
982 983
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-VertexVector.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-VertexVector.Tpo" -c -o libamdis_la-VertexVector.lo `test -f '$(SOURCE_DIR)/VertexVector.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/VertexVector.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-VertexVector.Tpo" "$(DEPDIR)/libamdis_la-VertexVector.Plo"; else rm -f "$(DEPDIR)/libamdis_la-VertexVector.Tpo"; exit 1; fi
984 985
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/VertexVector.cc' object='libamdis_la-VertexVector.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
986
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-VertexVector.lo `test -f '$(SOURCE_DIR)/VertexVector.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/VertexVector.cc
987 988

libamdis_la-PeriodicBC.lo: $(SOURCE_DIR)/PeriodicBC.cc
989 990
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-PeriodicBC.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-PeriodicBC.Tpo" -c -o libamdis_la-PeriodicBC.lo `test -f '$(SOURCE_DIR)/PeriodicBC.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/PeriodicBC.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-PeriodicBC.Tpo" "$(DEPDIR)/libamdis_la-PeriodicBC.Plo"; else rm -f "$(DEPDIR)/libamdis_la-PeriodicBC.Tpo"; exit 1; fi
991 992
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/PeriodicBC.cc' object='libamdis_la-PeriodicBC.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
993
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-PeriodicBC.lo `test -f '$(SOURCE_DIR)/PeriodicBC.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/PeriodicBC.cc
994 995

libamdis_la-Recovery.lo: $(SOURCE_DIR)/Recovery.cc
996 997
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-Recovery.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-Recovery.Tpo" -c -o libamdis_la-Recovery.lo `test -f '$(SOURCE_DIR)/Recovery.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/Recovery.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-Recovery.Tpo" "$(DEPDIR)/libamdis_la-Recovery.Plo"; else rm -f "$(DEPDIR)/libamdis_la-Recovery.Tpo"; exit 1; fi
998 999
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/Recovery.cc' object='libamdis_la-Recovery.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1000
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-Recovery.lo `test -f '$(SOURCE_DIR)/Recovery.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/Recovery.cc
1001 1002

libamdis_la-RecoveryEstimator.lo: $(SOURCE_DIR)/RecoveryEstimator.cc
1003 1004
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -MT libamdis_la-RecoveryEstimator.lo -MD -MP -MF "$(DEPDIR)/libamdis_la-RecoveryEstimator.Tpo" -c -o libamdis_la-RecoveryEstimator.lo `test -f '$(SOURCE_DIR)/RecoveryEstimator.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/RecoveryEstimator.cc; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libamdis_la-RecoveryEstimator.Tpo" "$(DEPDIR)/libamdis_la-RecoveryEstimator.Plo"; else rm -f "$(DEPDIR)/libamdis_la-RecoveryEstimator.Tpo"; exit 1; fi
1005 1006
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(SOURCE_DIR)/RecoveryEstimator.cc' object='libamdis_la-RecoveryEstimator.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1007
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libamdis_la_CXXFLAGS) $(CXXFLAGS) -c -o libamdis_la-RecoveryEstimator.lo `test -f '$(SOURCE_DIR)/RecoveryEstimator.cc' || echo '$(srcdir)/'`$(SOURCE_DIR)/RecoveryEstimator.cc
1008

1009
libamdis_la-ResidualEstimator.lo: $(SOURCE_DIR)/ResidualEstimator.cc